// ladescreen_service.dart
import 'package:flutter/material.dart';

class LadescreenService {
  static void startLadescreen(BuildContext context) {
    // Zeige einen Ladeindikator an (z. B. ein Dialog)
    showDialog(
      context: context,
      barrierDismissible: false, // Verhindere, dass der Dialog durch Tippen geschlossen wird
      builder: (BuildContext context) {
        return Center(
          child: CircularProgressIndicator(), // Ladeindikator
        );
      },
    );
  }

  static void stopLadescreen(BuildContext context) {
    // Schließe den Ladeindikator
    Navigator.of(context).pop();
  }
}